<?php
require_once ("../../config/Cado.php");
require_once("cCancha.php");
$oCancha = new cCancha();

if($_POST['action_cancha']=="insertar")
{
	if(!empty($_POST['txt_cancha_nom']))
	{		 
	
		$oCancha->insertar($_POST['txt_cancha_nom'],$_POST['cmb_salon_id']);
		$data['cancha_msj']= "cancha registrada";
		echo json_encode($data);
	}
	else
	{
		$data['cancha_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}

if($_POST['action_cancha']=="editar")
{ 
	if(!empty($_POST['txt_cancha_nom']))
	{
		$oCancha->modificar($_POST['hdd_cancha_id'],$_POST['txt_cancha_nom'],$_POST['cmb_salon_id']);
		$data['cancha_msj']='cancha Modificada correctamente.';
		echo json_encode($data);
	}
	else
	{
		$data['cancha_msj']='Intentelo nuevamente.';
		echo json_encode($data); 
	}
} 

if($_POST['action']=="eliminar")
{
	if(!empty($_POST['cancha_id']))
	{	
		$oCancha->eliminar($_POST['cancha_id']);
		echo 'cancha Eliminada.';
	}
}
?>